package com.project.ilsaenterprise.models;

public class Channel {
    public Long id;
    public String name, latitude, longitude, wind_speed, wind_direction, precipitation, Pressure, MQ7, temperature, humidity, heat_index, created_at, updated_at, last_entry_id;

    public Channel() {
    }

    public Channel(Long id, String name, String latitude, String longitude, String wind_speed, String wind_direction, String precipitation, String pressure, String MQ7, String temperature, String humidity, String heat_index, String created_at, String updated_at, String last_entry_id) {
        this.id = id;
        this.name = name;
        this.latitude = latitude;
        this.longitude = longitude;
        this.wind_speed = wind_speed;
        this.wind_direction = wind_direction;
        this.precipitation = precipitation;
        Pressure = pressure;
        this.MQ7 = MQ7;
        this.temperature = temperature;
        this.humidity = humidity;
        this.heat_index = heat_index;
        this.created_at = created_at;
        this.updated_at = updated_at;
        this.last_entry_id = last_entry_id;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getWind_speed() {
        return wind_speed;
    }

    public void setWind_speed(String wind_speed) {
        this.wind_speed = wind_speed;
    }

    public String getWind_direction() {
        return wind_direction;
    }

    public void setWind_direction(String wind_direction) {
        this.wind_direction = wind_direction;
    }

    public String getPrecipitation() {
        return precipitation;
    }

    public void setPrecipitation(String precipitation) {
        this.precipitation = precipitation;
    }

    public String getPressure() {
        return Pressure;
    }

    public void setPressure(String pressure) {
        Pressure = pressure;
    }

    public String getMQ7() {
        return MQ7;
    }

    public void setMQ7(String MQ7) {
        this.MQ7 = MQ7;
    }

    public String getTemperature() {
        return temperature;
    }

    public void setTemperature(String temperature) {
        this.temperature = temperature;
    }

    public String getHumidity() {
        return humidity;
    }

    public void setHumidity(String humidity) {
        this.humidity = humidity;
    }

    public String getHeat_index() {
        return heat_index;
    }

    public void setHeat_index(String heat_index) {
        this.heat_index = heat_index;
    }

    public String getCreated_at() {
        return created_at;
    }

    public void setCreated_at(String created_at) {
        this.created_at = created_at;
    }

    public String getUpdated_at() {
        return updated_at;
    }

    public void setUpdated_at(String updated_at) {
        this.updated_at = updated_at;
    }

    public String getLast_entry_id() {
        return last_entry_id;
    }

    public void setLast_entry_id(String last_entry_id) {
        this.last_entry_id = last_entry_id;
    }
}
